// import initialized db instance
import { doc, setDoc } from "firebase/firestore/lite"

import type { PlasmoMessaging } from "@plasmohq/messaging"

import { db } from "~background"

const handler: PlasmoMessaging.MessageHandler = async (req, res) => {
  const queryOptions = { active: true, lastFocusedWindow: true }
  const [tab]: chrome.tabs.Tab[] = await chrome.tabs.query(queryOptions)
  //splits any url on "/" and grabs the third element which is always the correct bit
  //e.g. https://www.adidas.co.uk/ splits into "https", "", and "www.adidas.co.uk"
  const url = tab.url.split("/")[2] // will return www.url.com
  const brandName = url.split(".")[1] // wil return url
  try {
    await setDoc(doc(db, "urls", brandName), {
      name: brandName,
      url: url,
    })
    res.send({
      status: true,
    })
  } catch (e) {
    res.send({
      status: false,
    })
  }
}

export default handler
