import firebase_admin
from firebase_admin import credentials
from firebase_admin import firestore
import json

# Initialize the Firebase Admin SDK
cred = credentials.Certificate("key.json")
firebase_admin.initialize_app(cred, {
    'projectId': 'leaf-0001',
})

# Get a reference to the Firestore database
db = firestore.client()

# Define the fields to retrieve
fields_to_retrieve = [
    'brand', 'country', 'field', 'environmental_total',
    'supplychain_total', 'social_total'
]

# Query the collection and retrieve the specified fields
collection_ref = db.collection('companies')
docs = collection_ref.stream()

data = []
for doc in docs:
    doc_data = doc.to_dict()
    filtered_data = {field: doc_data.get(field) for field in fields_to_retrieve}
    data.append(filtered_data)

# Convert the data to JSON format
json_data = json.dumps(data, indent=4)

# Save the JSON data to a file
with open('data.json', 'w') as f:
    f.write(json_data)

print('Data saved to data.json')