import { expect, test } from "./frontendTests"

/* 
This file contains test cases for the frontend of the app
It covers the following section:

3. URL is not valid

Testing helps ensure maintainability and covers functional requirement 11
 */

//Testing UI when the URL is not valid
test.beforeEach("Display the extension popup", async ({ page }) => {
  console.log(`Running ${test.info().title}`)
  await page.goto("https://www.youtube.com/")
})

//Checking if the brand name displayed is correct
//Covers functional requirement 10
test("Invalid: Popup not visible test", async ({ page }) => {
  await expect(page.locator(".plasmo-csui-container")).toBeEmpty()
})

//There is no API for either opening an extension popup automatically
//or changing the variable that is tracking if the popup is open or closed
//which is stored in the chrome storage API (not localStorage but specific for extensions)