import { expect, test } from "./frontendTests"

/* 
This file contains test cases for the frontend of the app
It covers the following section:

3. URL is not valid

Testing helps ensure maintainability and covers functional requirement 11
 */

//Testing UI when a brand is not identified
test.beforeEach("Display the extension popup", async ({ page }) => {
  console.log(`Running ${test.info().title}`)
  await page.goto(
    "https://www.tkmaxx.com/uk/en/unisex/athleisure/athleisure/black-straight-leg-trousers/p/17772015",
  )
})

//Checking if the popup displayed is correct
//Covers functional requirements 1, 10
test("Unknown: Popup image test", async ({ page }) => {
  await expect(page.getByAltText("current status")).toBeVisible()
})

//Checking if the explanation on hover is displayed correctly
//Covers functional requirement 10
test("Unknown: Explanation test", async ({ page }) => {
  await page.getByAltText("current status").hover()
  await expect(page.getByText("Brand not found")).toBeVisible()
})

//An end-to-end workflow test
//Making sure all components interact seamlessly
test("Unknown: End-to-end workflow", async ({ page }) => {
  await expect(page.getByAltText("current status")).toBeVisible()
  await page.getByAltText("current status").hover()
  await expect(page.getByText("Brand not found")).toBeVisible()
  await page.getByAltText("close button").click()
  await expect(page.locator(".plasmo-csui-container")).toBeEmpty()
})
